Build ownCloud Client From Source on Debian
06/22/2016 02:52 PM - Daniel Curtis

Status: Closed Start date: 06/22/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Workstation Estimated time: 0.50 hour
Target version: Debian Spent time: 1.00 hour
Description

| recently put Debian 8 on an old G4, and the currently packaged owncloud-client (version 1.7) does not work with my more up to
date version of ownCloud 9.

Unfortunately the package repository used by owncloud to distribute more up to date versions of the owncloud-client does not include
a powerpc binary.

So my solution was to build the up to date client from source.

Install ownCloud Client From Source

e |nstall a few build dependencies:

sudo apt-get build-dep owncloud-client
sudo apt-get install git libgtbwebkit5-dev gttoolsb-dev gttools5-dev-tools

e Make a git directory:

mkdir ~/git && cd ~/git

e Clone the latest versions of the client:

git clone git://github.com/owncloud/client.git
cd client

git submodule init

git submodule update

® Create the build directory:

mkdir client-build && cd client-build

e Configure the client build:

cmake -DCMAKE_BUILD_TYPE="Debug" -DCMAKE_INSTALL_PREFIX=/usr ..

o Make the binary package:

make

e [nstall the client to the /usr/local/bin directory:
sudo make install

Resources

e https://doc.owncloud.org/desktop/2.1/building.html#generic-build-instructions

e https://github.com/owncloud/client

History

#1 - 06/22/2016 02:58 PM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 06/22/2016 04:17 PM - Daniel Curtis
- Description updated

- % Done changed from 50 to 90

#3 - 06/23/2016 09:41 AM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#4 - 07/10/2016 10:02 AM - Daniel Curtis

- Status changed from Resolved to Closed
